Enhanced Funding

This request funds a loan using LoanPro's Enhanced Funding options.

   Click here to learn more about this request

LoanPro's Enhanced Funding tool allows funding a loan via multiple methods. If preferred, use a Source Company to fund a loan. Note the following when using Enhanced Funding:

LoanPro's Enhanced Funding tool helps lenders keep track of how they give money to their borrowers.

There are multiple methods for funding a loan, and the method field determines which is used.

For an example of how the Enhanced Funding tool works within the UI, take a look at our Enhanced Funding article.

Database

For information regarding enhanced funding database tables, see the following articles:

Database – Enhanced Funding (loan_funding_transaction_entity)

Database – Funding Category (funding_category_entity)

{
    "loanId": 2883,
    "customerId": "142",
    "sourceCompanyId": null,
    "categoryId": 1,
    "paymentAccountId": 188,
    "merchantProcessorGroupId": "1",
    "merchantTxProcessorId": "",
    "date": "2021-06-16",
    "amount": 10,
    "method": "loan.funding.method.deposit",
    "authorizationType": "loan.funding.auth.ccd",
  	"metadata": {
  		"newKey": "NewValue" 
  	}	
}
{
    "loanId": 9118,
    "customerId": 1178,
    "categoryId": 1,
    "method": "loan.funding.method.cashdrawer",
    "date": "2023-01-01",
    "amount": 5
}
{
    "loanId": 9114,
    "customerId": "1183",
    "categoryId": 1,
    "date": "2022-09-14",
    "amount": 100,
    "method": "loan.funding.method.printcheck"
}
Body Params
int32
required

This is the ID of the loan being funded.

int32
required

This is the ID of the customer that funds will be sent to.
> This is only required when funding to a customer.

float
required

This is the amount of funds that will be sent via this transaction.

date
required

This is the date the funding transaction will be applied to the loan.

int32
required

This is the ID of the category for this funding transaction.
> These values are found within the UI by navigating to Settings > Loan > Labeling > Funding Categories.

string
enum
required

This determines the funds transfer method being used.
> For more information on these values, click here

Allowed:
string
enum
required

This determines how the funding will be authorized.
> This field is required if the method is set to loan.funding.method.deposit.
> For more information on these values, click here

Allowed:
int32

This is the company ID if you are funding the loan through a source company.
> This field is not required if you are funding a customer.

int32
required

This is the ID of the customer's Payment Profile.
> For cash drawer transactions, leave this field blank.

int32

This is the ID of the merchant processor group used for the transaction.

int32

This is the ID of the processor that is processing the funding transaction.
> This field can be used in place of merchantProcessorGroupId.
> If there is a merchant processor group assigned at the loan level in LoanPro, this value will be ignored in favor of the setting on the loan.

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json